当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : HELP!奇怪的依赖问题
帖子发表于 : 2009-02-05 7:49 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
终端显示如下:
sudo apt-get install build-essential
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
build-essential: 依赖: g++ (>= 4:4.3.1) 但是它将不会被安装



sudo apt-get install g++
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
有一些软件包无法被安装。如果您用的是不稳定(unstable)发行版,这也许是
因为系统无法达到您要求的状态造成的。该版本中可能会有一些您需要的软件
包尚未被创建或是它们还在新到(incoming)目录中。

您仅要求对单一软件包进行操作,这极有可能是因为该软件包安装不上,同时,
您最好提交一个针对这个软件包的故障报告。
下列的信息可能会对解决问题有所帮助:

下列的软件包有不能满足的依赖关系:
g++: 依赖: g++-4.3 (>= 4.3.1-1) 但是它将不会被安装



换用过其他的源,也用过ubuntu中国的源,还是一样 :em20

求助!!!


页首
 用户资料  
 
2 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-05 11:30 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
自己顶一下,继续救助!!!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-05 11:33 
头像

注册: 2007-10-19 14:51
帖子: 4953
地址: 深圳
送出感谢: 0 次
接收感谢: 2
源的版本和你系统的版本是不是对应的啊?
代码:
sudo apt-get update
更新一下看看呢?


_________________
Nothing 有事请发邮件到 yms541 AT gmail.com
alias 爱慕颇雷尔='mplayer'


页首
 用户资料  
 
4 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-06 17:58 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
是对应的啊!安装别的事东西没有事啊,就是这个出问题......


页首
 用户资料  
 
5 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-06 17:59 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
再顶,继续求助!!!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-07 6:08 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
继续顶......求助!!!


页首
 用户资料  
 
7 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-07 6:19 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
求助! :em20 :em20 :em20


页首
 用户资料  
 
8 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-07 6:21 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
求助! :em20 :em20 :em20


页首
 用户资料  
 
9 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-08 14:31 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
:em20 :em20


页首
 用户资料  
 
10 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-15 13:24 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
:em20


页首
 用户资料  
 
11 楼 
 文章标题 : Re: HELP!奇怪的依赖问题
帖子发表于 : 2009-02-20 9:06 

注册: 2009-01-30 20:54
帖子: 386
送出感谢: 1
接收感谢: 0 次
终于解决了!


很艰难啊...
换了n个源,还是这样...
google,baidu无果...

不过
今天又把源换回了163的,再试了一次,居然ok...全都安上了 :em05 :em05 :em05


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译